Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Permutahedral_representation< Vertex_, Ordered_set_partition_ > Class Template Reference
Coxeter triangulation

A class that stores the permutahedral representation of a simplex in a Coxeter triangulation or a Freudenthal-Kuhn triangulation. More...

`#include <include/gudhi/Permutahedral_representation.h>`

## Public Types

typedef Vertex_ | Vertex
| Type of the vertex.
typedef Ordered_set_partition_ | OrderedSetPartition
| Type of the ordered partition.

## Public Member Functions

| Permutahedral_representation (const Vertex &vertex, const OrderedSetPartition &partition)
| Permutahedral_representation constructor from a vertex and an ordered set partition.
| Permutahedral_representation ()
| Constructor for an empty permutahedral representation that does not correspond to any simplex.
std::size_t | dimension () const
| Dimension of the simplex.
Vertex & | vertex ()
| Lexicographically-minimal vertex.
const Vertex & | vertex () const
| Lexicographically-minimal vertex.
OrderedSetPartition & | partition ()
| Ordered set partition.
const OrderedSetPartition & | partition () const
| Identifying vertex.
bool | operator== (const Permutahedral_representation &other) const
| Equality operator. Returns true if an only if both vertex and the ordered set partition coincide.
bool | operator!= (const Permutahedral_representation &other) const
| Inequality operator. Returns true if an only if either vertex or the ordered set partition are different.
Vertex_range | vertex_range () const
| Returns a range of vertices of the simplex. The type of vertices is Vertex.
Face_range | face_range (std::size_t value_dim) const
| Returns a range of permutahedral representations of faces of the simplex.
Face_range | facet_range () const
| Returns a range of permutahedral representations of facets of the simplex. The dimension of the simplex must be strictly positive.
Coface_range | coface_range (std::size_t value_dim) const
| Returns a range of permutahedral representations of cofaces of the simplex.
Coface_range | cofacet_range () const
| Returns a range of permutahedral representations of cofacets of the simplex. The dimension of the simplex must be strictly different from the ambient dimension (the size of the vertex).
bool | is_face_of (const Permutahedral_representation &other) const
| Returns true, if the simplex is a face of other simplex.

## Detailed Description

template<class Vertex_, class Ordered_set_partition_>
class Gudhi::coxeter_triangulation::Permutahedral_representation< Vertex_, Ordered_set_partition_ >

A class that stores the permutahedral representation of a simplex in a Coxeter triangulation or a Freudenthal-Kuhn triangulation.

The data structure is a record consisting of a range that represents the vertex and a range that represents the ordered set partition, both of which identify the simplex in the triangulation.

Template Parameters

  Vertex_ | needs to be a random-access range.
  Ordered_set_partition_ | needs to be a a random-access range that consists of random-access ranges.

## Constructor & Destructor Documentation

## Permutahedral_representation()

template<class Vertex_, class Ordered_set_partition_>

Gudhi::coxeter_triangulation::Permutahedral_representation< Vertex_, Ordered_set_partition_ >::Permutahedral_representation | ( | const Vertex & | vertex,
|  | const OrderedSetPartition & | partition )

inline

Permutahedral_representation constructor from a vertex and an ordered set partition.

Parameters

  [in] | vertex | Vertex.
  [in] | partition | Ordered set partition.

If the size of vertex is d, the ranges in partition must consist of the integers 0,...,d without repetition or collision between the ranges.

## Member Function Documentation

## coface_range()

template<class Vertex_, class Ordered_set_partition_>

Coface_range Gudhi::coxeter_triangulation::Permutahedral_representation< Vertex_, Ordered_set_partition_ >::coface_range | ( | std::size_t | value_dim | ) | const

inline

Returns a range of permutahedral representations of cofaces of the simplex.

Parameters

  [in] | value_dim | The dimension of the cofaces. Must be between the dimension of the simplex and the ambient dimension (the size of the vertex).

## face_range()

template<class Vertex_, class Ordered_set_partition_>

Face_range Gudhi::coxeter_triangulation::Permutahedral_representation< Vertex_, Ordered_set_partition_ >::face_range | ( | std::size_t | value_dim | ) | const

inline

Returns a range of permutahedral representations of faces of the simplex.

Parameters

  [in] | value_dim | The dimension of the faces. Must be between 0 and the dimension of the simplex.

## is_face_of()

template<class Vertex_, class Ordered_set_partition_>

bool Gudhi::coxeter_triangulation::Permutahedral_representation< Vertex_, Ordered_set_partition_ >::is_face_of | ( | const Permutahedral_representation< Vertex_, Ordered_set_partition_ > & | other | ) | const

inline

Returns true, if the simplex is a face of other simplex.

Parameters

  [in] | other | A simplex that is potential a coface of the current simplex.

The documentation for this class was generated from the following file:

- include/gudhi/Permutahedral_representation.h